Update Quality Profile
curl --request PUT \
--url https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"name": "Marketing Content Profile",
"aiCheckUids": [
"6804a3f2e1b2c3d4e5f60789",
"6804a3f2e1b2c3d4e5f6078a",
"6804a3f2e1b2c3d4e5f6078b"
]
}
'import requests
url = "https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid}"
payload = {
"name": "Marketing Content Profile",
"aiCheckUids": ["6804a3f2e1b2c3d4e5f60789", "6804a3f2e1b2c3d4e5f6078a", "6804a3f2e1b2c3d4e5f6078b"]
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'},
body: JSON.stringify({
name: 'Marketing Content Profile',
aiCheckUids: [
'6804a3f2e1b2c3d4e5f60789',
'6804a3f2e1b2c3d4e5f6078a',
'6804a3f2e1b2c3d4e5f6078b'
]
})
};
fetch('https://eu.phrase.com/quality-evaluator/v1/qualityProfiles/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "6804b1c2d3e4f5a6b7c80123",
"name": "Marketing Content Profile",
"aiChecks": [
{
"uid": "6804a3f2e1b2c3d4e5f60789",
"name": "No Yoda Speech",
"qualityRequirements": "The translation must not use Yoda-style inverted sentence structure."
},
{
"uid": "6804a3f2e1b2c3d4e5f6078a",
"name": "Formal Register",
"qualityRequirements": "The translation must use formal language and avoid colloquialisms."
},
{
"uid": "6804a3f2e1b2c3d4e5f6078b",
"name": "Brand Terminology",
"qualityRequirements": "The translation must use approved brand terminology as defined in the glossary."
}
],
"createdDate": "2024-01-15T10:30:00Z",
"lastModifiedDate": "2024-03-20T14:45:00Z",
"createdByUid": "6804c9d0e1f2a3b4c5d60456"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied"
}{
"type": "urn:problem-type:forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions to perform this action"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}{
"type": "urn:problem-type:unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Valid credentials were not supplied",
"instance": "<string>"
}Quality Profiles
Update Quality Profile
deprecated
Deprecated. Will be removed on October 12, 2026. Quality Profiles are now managed through Content Groups.
Replaces the name and AI Check list of a Quality Profile. Up to 3 AI Check UIDs may be specified.
PUT
/
v1
/
qualityProfiles
/
{uid}
Update Quality Profile
Authorizations
Use a Bearer token obtained from Phrase Platform authentication. See the Authentication guide for details on how to obtain a token.
Headers
Example:
"application/json"
Path Parameters
Unique identifier of the Quality Profile.
Example:
"6804b1c2d3e4f5a6b7c80123"
Body
application/json
Response
Quality Profile updated successfully. Returns the updated profile.
Example:
"6804b1c2d3e4f5a6b7c80123"
Example:
"Marketing Content Profile"
Example:
"2024-01-15T10:30:00Z"
Example:
"6804c9d0e1f2a3b4c5d60456"
Show child attributes
Show child attributes
Example:
"2024-03-20T14:45:00Z"
Was this page helpful?
⌘I